/*@import url('https://fonts.googleapis.com/css2?family=Almarai&display=swap');*/
/*@font-face {
    font-family: 'GESSTwoLight-Light';
    src: url('../Font/GESSTwoLight-Light.eot');
    src: url('../Font/GESSTwoLight-Light.eot?#iefix') format('embedded-opentype'), url('../Font/GESSTwoLight-Light.svg#GESSTwoLight-Light') format('svg'), url('../Font/GESSTwoLight-Light.ttf') format('truetype'), url('../Font/GESSTwoLight-Light.woff') format('woff'), url('../Font/GESSTwoLight-Light.woff2') format('woff2');
    font-weight: normal;
    font-style: normal;
}
*/

#components-reconnect-modal {
    display: none !important;
}

.components-reconnect-dialog {
    display: none !important;
}


html {
    font-size: 14px;
    font-family: 'Almarai', sans-serif;
    letter-spacing: 0 !important;
}


@media (max-width: 1400px) {
    body {
        overflow:scroll !important;
    }
    .div-reg {
        height: 100vh !important;
        overflow-x: unset !important;
    }
    .navbar-toggler:focus {
        outline: none !IMPORTANT;
        box-shadow: none !IMPORTANT;
    }
}


@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

html {
    position: relative;
    min-height: 100%;
    font-family: 'Almarai', sans-serif;
    letter-spacing: 0 !important;
}

body {
    margin-bottom: 28px;
    font-family: 'Almarai', sans-serif;
    direction: rtl;
}

h2 {
    letter-spacing: 0 !important;
}

.logo_futureX {
    width: 140px;
    padding: 0px 0px 0 0;
}

.slideFillter {
    filter: grayscale(15%);
}

.slideFillter2 {
    filter: grayscale(70%);
}


.carousel-control-next, .carousel-control-prev {
    color: red;
}

.carousel-indicators [data-bs-target] {
    color: #468966;
}

.bg-offwhite {
    background-color: #F2EADF;
}

.bg-lightyellow {
    background-color: #FFF0A5;
}

.carousel-control-prev-icon {
    width: 5rem;
    height: 5rem;
}

.carousel-control-next-icon {
    width: 5rem;
    height: 5rem;
}





::-webkit-scrollbar {
    width: 3px;
}

Track
::-webkit-scrollbar-track {
    -webkit-border-radius: 5px;
    border-radius: 5px;
    margin: 15px 0 15px 0;
    scrollbar-gutt
}

Handle
::-webkit-scrollbar-thumb {
    -webkit-border-radius: 5px;
    border-radius: 5px;
    background: #51504f;
}

::-webkit-scrollbar-thumb:window-inactive {
    background: #51504f;
}

.terms {
    white-space: pre-line;
    font-size: 0.98rem;
    /*padding-bottom:5rem;*/
}

.mycontainer {
    box-shadow: 2px 2px 20px #e5e4e3;
    border-radius: 10px;
    padding: 12px;
}

/*.hero2 {*/
/* scale: 0.55;
    right: -700px;
    top: -132px;*/
/*max-width:225px;*/
/*}
.col-hero2 {
    text-align: end;*/
/* padding-right: 4%; */
/*align-content: space-around;
}*/
.paginator {
    direction: ltr !important;
  
}

.datagride {
    direction: ltr !important;
}

@media (min-width: 992px) {
    .navbar-expand-lg .navbar-collapse {
        display: inline-grid !important;
        flex-basis: auto;
    }
}



.poster_title_general {
    transform: rotate(30deg);
    z-index: 10000;
    font-size: 1.75em;
    position: sticky;
    margin-right: -36px;
    margin-bottom: -36px;
    background: #35b91acc;
    padding: 7px;
    width: max-content;
    border-radius: 7px;
    color: white;
    font: icon;
    font-size: 1.1rem;
}

.poster_title_student {
    transform: rotate(30deg);
    z-index: 10000;
    font-size: 1.75em;
    position: sticky;
    margin-right: -14px;
    margin-bottom: -36px;
    background: #44eb0d;
    padding: 7px;
    width: max-content;
    border-radius: 7px;
    color: white;
    font: icon;
    font-size: 1.1rem;
}
/*///////*/

.control {
    padding: 42px !important;
    inline-size: auto !important;
}

.fluent-dialog-header {
    grid-area: dialog-header;
    padding: 10px;
}

.fluent-messagebox {
    padding: 0px 20px 0px 20px;
    margin: 0 25px 0 0;
}

.fluent-dialog-footer {
    padding: 15px;
    text-align: end;
}

.stack-horizontal .icon {
    width: 24px;
    fill: red !important;
    position: fixed;
    margin: 0px -30px 0px 0;
}

.btn-remove {
    margin-top: -13px;
    padding: 2px 8px 4px 10px;
    border-radius: 3px;
    background-color: #b91c1c;
    color: #ffffff;
}


.my-reconnect-modal > div {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1000;
    overflow: hidden;
    background-color: #fff;
    opacity: 0.8;
    text-align: center;
    font-weight: bold;
}

.components-reconnect-hide > div {
    display: none;
}

.components-reconnect-show > div {
    display: none;
}

.components-reconnect-show > .show {
    display: block;
}

.components-reconnect-failed > div {
    display: none;
}

.components-reconnect-failed > .failed {
    display: block;
}

.components-reconnect-refused > div {
    display: none;
}

.components-reconnect-refused > .refused {
    display: block;
}


.btn-primary {
    color: #fff;
    background-color: #03645c !important;
    border-color: #03645c !important;
}

a {
    color: #03645c !important;
}



.empty-content-cell {
   /* grid-column: none !important;
    position: absolute !important;
    justify-self: center !important;
    padding: 26px 0px 0 0 !important;
    display: contents;*/
}


.paginator {
    display: flex;
    /* border-top: 1px solid var(--neutral-stroke-divider-rest); */
    /* margin: 0.5rem; */
    padding: 0.75rem;
    align-items: center;
    background-color: aliceblue;
}

.pagination-text {
    margin: 0 0.5rem;
}

.paginator-nav {
    padding: 0;
    display: flex;
    margin-inline-start: auto;
    margin-inline-end: 0;
    gap: 0.5rem;
    align-items: center;
}


.div-reg {
    height: 90vh;
    overflow-x: scroll;
  
}

.row-reg {
    background-color: #f4f2f2;
    margin: 10px 0px 5px 0px;
    padding: 14px 0px 14px 0;
}

.form-check-input {
    width: 1em;
    height: 1em;
    margin-top: .25em;
    vertical-align: top;
    background-color: #fff;
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    border: 1px solid rgba(0, 0, 0, .25);
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    -webkit-print-color-adjust: exact;
    color-adjust: exact;
}


    .form-check-input:checked {
        background-color: #0d6efd;
        border-color: #0d6efd;
    }

    .form-check-input[type=checkbox] {
        border-radius: .25em;
    }

.form-check .form-check-input {
    float: left;
    margin-left: -1.5em;
}

/*.couponcode {
    background-color: #fff500;
    padding: 9px;
    border-radius: 5px;
    color: #5300ff;
    font-family: cursive;
    font-size: x-large;
}

.discount {
    background-color:limegreen;
    color:white;
    padding :2px;
    border-radius:8px;
}

.stack-horizontal {
    display: flex;
    flex-direction: row;
}


*/
.lbl-amount {
    background-color: #e9ecef;
    border: unset;
    padding: 6px;
    margin-top: -4px;
}

.flag-discount {
    border-radius: 6px 0 0 6px;
    color: #fff;
    display: block;
    float: left;
    padding: 10px 20px;
    background: #93274f;
    font-size: 20px;
    font-weight: 400;
    position: relative;
}

    .flag-discount::before,
    .flag-discount::after {
        content: "";
        position: absolute;
        left: 100%;
        width: 0;
        height: 0;
        border-style: solid;
        display: block;
    }

    .flag-discount::before {
        top: 0;
        border-width: 22px 15px 0 0;
        border-color: #93274f transparent transparent transparent;
    }

    .flag-discount::after {
        bottom: 0;
        border-width: 0 15px 22px 0;
        border-color: transparent transparent #93274f transparent;
    }


.rec-img {
    max-width: 450px;
    max-height: 450px;
}

.rec-pdf {
    max-width: 804px;
    width: -webkit-fill-available;
    height: -webkit-fill-available;
    
}
.detail-pdf {
    width: -webkit-fill-available;
    
}

.fluent-wizard .fluent-wizard-buttons {
    direction: ltr;
}


.control {
    -webkit-appearance: none;
    color: inherit;
    background: #ffffff;
    border: 0;
    height: calc(100% - 0px);
    margin-top: auto;
    margin-bottom: auto;
    padding: 0 calc(var(--design-unit)* 2px + 1px);
    font-family: inherit;
    font-size: inherit;
    line-height: inherit;
}


.em-text {
    unicode-bidi: plaintext;
}
.fo-text {
    unicode-bidi: plaintext;
    border: unset;
    padding: 0;
    margin : 0 0 5px 0;
    
}
input .selected-value {
    unicode-bidi: bidi-override;
}
#combobox-with-list-autocomplete {
    unicode-bidi: bidi-override;
}

.div-option{
    border:solid;
    border-color:white;
    
}

.confirm-strong{

}

.p-tooltip div {
    max-width: 100%;
    background-color: #fbe0e0 !IMPORTANT;
    padding: 9px;
    margin: -5px 23px -5px -16px;
    border-radius: 10px;
    text-wrap: unset !IMPORTANT;
}
.p-tooltip .tooltip{

}



.form-floating > .form-control:-webkit-autofill ~ label {
    opacity: .65;
    transform: scale(1.00) translateY(-.2rem) translateX(-.15rem) !IMPORTANT;
}
.form-floating > .form-control:focus ~ label, .form-floating > .form-control:not(:placeholder-shown) ~ label, .form-floating > .form-control-plaintext ~ label, .form-floating > .form-select ~ label {
    color: rgba(var(--bs-body-color-rgb), 0.65);
    transform: unset !IMPORTANT;
}
    .form-floating > .form-control:focus ~ label::after, .form-floating > .form-control:not(:placeholder-shown) ~ label::after, .form-floating > .form-control-plaintext ~ label::after, .form-floating > .form-select ~ label::after
    Specificity: (0,2,2) {
        position: absolute;
        inset: 0.6rem 0.375rem;
        z-index: -1;
        height: 1.5em;
        content: "";
        background-color: var(--bs-body-bg);
        border-radius: var(--bs-border-radius);
    }



.card-login > .card-body {
    padding: 20px !IMPORTANT;
    margin: auto;
}



.form-floating > .form-control:focus ~ label::after, .form-floating > .form-control:not(:placeholder-shown) ~ label::after, .form-floating > .form-control-plaintext ~ label::after, .form-floating > .form-select ~ label::after {
    position: absolute;
    inset: 1rem 0.375rem;
    z-index: -1;
    height: 1.1em !important;
    content: "";
    background-color: transparent !important;
    border-radius: var(--bs-border-radius);
}

.btn-license-a {
    background-color: seagreen;
    padding: 6px 11px 12px 8px;
    font-size: 14px;
    border-radius: 6px;
    margin: 0px 0 0px 0;
    vertical-align: super;
}

.btn-license-b {
    margin: auto;
    font-size: medium;
    border-radius: 6px;
    font-family: 'Almarai', sans-serif;
    
}

.card-license {
    height: 90% !important;
    overflow: auto;
}
::-webkit-scrollbar {
    -webkit-appearance: none;
    width: 7px;
}

::-webkit-scrollbar-thumb {
    border-radius: 4px;
    background-color: rgba(0, 0, 0, .5);
    box-shadow: 0 0 1px rgba(255, 255, 255, .5);
}
.detail-pdf-b{
    width:revert-layer;
}


.services-price-overlay {
    background: var(--secondary-color);
    border-bottom-left-radius: 100%;
    position: absolute;
    top: 0;
    right: 0;
    width: 20px;
    height: 20px;
    pointer-events: none;
}
.services-price-wrap {
    background: var(--primary-color);
    border-radius: var(--border-radius-medium);
    position: relative;
    overflow: hidden;
    padding: 6px 21px 6px 22px;
    transition: all ease 0.5s;
}

.m-input-txt{
    text-align:start;
}
/*
.div-menu {
    margin: auto;
    vertical-align: middle;
    align-items: anchor-center;
    display: flex;
}*/
.my-grid::after {
    /*  display: inline-grid;
    justify-content: space-around;*/
   
}
.my-grid {
    min-height: 420px;
}

@media screen and (max-width: 450px) {
    .div-lang {
        display: ruby !IMPORTANT;
        width: -webkit-fill-available;
    }

    .navbar-brand {
        padding-top: .3125rem;
        padding-bottom: .3125rem;
         margin-left: 0; 
        font-size: 1.25rem;
        text-decoration: none;
        white-space: nowrap;
    }
}

.row-course {
    z-index: 100;
    position: relative;
}


.div-lang {
    display: contents;
}

td.col-justify-center {
    text-align: center;
    text-align: -webkit-center;
    padding-inline-start: 0;
    justify-items: stretch;
}

td {
    justify-items: stretch;
}
@media (max-width: 600px) {

    .my-grid {
        direction: rtl !important;
    }
        .my-grid table, .my-grid thead, .my-grid tbody, .my-grid th, .my-grid td, .my-grid tr {
            display: block;
            width: 100%;
            text-wrap-mode: wrap;
        }

    .my-grid thead {
        display: none;
    }

    .my-grid tr {
        margin-bottom: 15px;
        border: 1px solid #ddd;
        padding: 10px;
        border-radius: 8px;
        background: #f9f9f9;
    }

        .my-grid td {
            display: flex;
            justify-content: space-between;
            padding: 6px;
            border: none;
            height: unset !IMPORTANT;
            justify-items: stretch;
            border-bottom: 1px solid #cccccc85;
            width: 100% !IMPORTANT;
            text-wrap-mode: wrap !IMPORTANT;
        }
            .my-grid td:last-child {
                border-bottom: none;
            }

        .my-grid td::before {
            content: attr(data-label);
            font-weight: bold;
            margin-right: 0px;
        }
    fluent-dialog .fluent-dialog-body {
        height: 100vh;
        overflow: auto;
    }

    .fluent-typography[typo='pane-header'] {
        font-size: var(--type-ramp-plus-1-font-size);
        line-height: var(--type-ramp-plus-1-line-height);
        font-weight: 400;
    }
}


.div-detail{
    text-align:start;
}

.card-pay {
    display: flex;
    justify-self: center;
    width: 73%;
    flex-wrap: nowrap;
    align-content: space-between;
    max-width: 930px;
}